
QGIS Application - Bug report #22100

Crash when adding New Field to ShapeLayer

2019-05-18 04:32 PM - Marek Anderson

Status: Feedback

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.6.2 Regression?: No

Operating System: Windows 10 x64 1809 English Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29913

Description

User Feedback

Creating new shape layer with polygon setting. Click 'Toggle Editing' on Toolbar, then click 'Add Polygon' on Toolbar.

Once I finished drawing the polygon with a right click, I opened 'Open Attribute Table', added a 'New Field' titled Class and selected Type

String with Length 20. Upon Clicking Okay this crash happened.

Windows 10 x64 1809

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

Report Details

Crash ID: 747531816264705d37ae333ddf4ef0c9eb366a9d

Stack Trace

memcmp :

QSortFilterProxyModel::qt_metacast :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsAttributeTableModel::removeRows :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandAddAttribute::redo :

QUndoStack::push :

QgsVectorLayerEditBuffer::addAttribute :

QgsAttributeTableDialog::mActionAddAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :
QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

DispatchMessageW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.2-Noosa

QGIS code revision: commit:656500e0c4

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-05-19 10:32 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

- Category changed from Editing to Vectors

Please try with a new/clean qgis profile, no 3rd party plugins installed.

#2 - 2019-05-20 12:25 PM - Alessandro Pasotti

Tested on master: no crashes here.

If the crash is reprouceible (if it happens all the times) there might be a particular setting that triggers it, would you mind sharing a short video of the

operations that trigger the crash?
